org.apache.poi.hssf.converter

## Class AbstractExcelUtils

- java.lang.Object
- - org.apache.poi.hssf.converter.AbstractExcelUtils

- Direct Known Subclasses:
    ExcelToHtmlUtils

      @Beta
      public class AbstractExcelUtils
      extends java.lang.Object

  Common class for `ExcelToFoUtils` and `ExcelToHtmlUtils`
  Since:
    POI 3.8 beta 5
  Author:
    Sergey Vladimirov (vlsergey {at} gmail {dot} com)
  See Also:
    `AbstractWordUtils`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractExcelUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getAlign(HorizontalAlignment alignment)`
    `static java.lang.String` | `getBorderStyle(BorderStyle xlsBorder)`
    `static java.lang.String` | `getBorderWidth(BorderStyle xlsBorder)`
    `static java.lang.String` | `getColor(HSSFColor color)`
    `static int` | `getColumnWidthInPx(int widthUnits)` See here for Xio explanation and details
    `static CellRangeAddress` | `getMergedRange(CellRangeAddress[][] mergedRanges, int rowNumber, int columnNumber)`
    `static HSSFWorkbook` | `loadXls(java.io.File xlsFile)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractExcelUtils

          public AbstractExcelUtils()

  - ### Method Detail

    - #### getAlign

          public static java.lang.String getAlign(HorizontalAlignment alignment)

    - #### getBorderStyle

          public static java.lang.String getBorderStyle(BorderStyle xlsBorder)

    - #### getBorderWidth

          public static java.lang.String getBorderWidth(BorderStyle xlsBorder)

    - #### getColor

          public static java.lang.String getColor(HSSFColor color)

    - #### getColumnWidthInPx

          public static int getColumnWidthInPx(int widthUnits)

      See here for Xio explanation and details

    - #### getMergedRange

          public static CellRangeAddress getMergedRange(CellRangeAddress[][] mergedRanges,
                                                        int rowNumber,
                                                        int columnNumber)

      Parameters:
        `mergedRanges` - map of sheet merged ranges built with `ExcelToHtmlUtils.buildMergedRangesMap(Sheet)`
      Returns:
        `CellRangeAddress` from map if cell with specified row and column numbers contained in found range, `null` otherwise

    - #### loadXls

          public static HSSFWorkbook loadXls(java.io.File xlsFile)
                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.